

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.49. reference_acquire &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.50. reference_release" href="reference_release.html" />
    <link rel="prev" title="7.3.48. range_filter" href="range_filter.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/reference_acquire.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="reference_release.html" title="7.3.50. reference_release"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="range_filter.html" title="7.3.48. range_filter"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.49. </span><code class="docutils literal notranslate"><span class="pre">reference_acquire</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="reference-acquire">
<h1><span class="section-number">7.3.49. </span><code class="docutils literal notranslate"><span class="pre">reference_acquire</span></code><a class="headerlink" href="#reference-acquire" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.49.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 10.0.4 で追加.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">reference_acquire</span></code> は対象オブジェクトの参照を1つ増やします。</p>
<p>このコマンドはリファレンスカウントモードのとき以外は意味がありません。リファレンスカウントモードを有効にするには <code class="docutils literal notranslate"><span class="pre">GRN_ENABLE_REFERENCE_COUNT=yes</span></code> 環境変数を使います。</p>
<p>オブジェクトの参照を1つ増やすとそのオブジェクトは自動的にクローズされません。なぜなら少なくとも1つそのオブジェクトの参照があるからです。短期間に複数の <a class="reference internal" href="load.html"><span class="doc">load</span></a> を実行する場合、リファレンスカウントモードによる自動クローズは性能劣化を引き起こすでしょう。 <code class="docutils literal notranslate"><span class="pre">reference_acquire</span></code> を実行してから複数の <a class="reference internal" href="load.html"><span class="doc">load</span></a> 実行し、 <a class="reference internal" href="load.html"><span class="doc">load</span></a> の後に <a class="reference internal" href="reference_release.html"><span class="doc">reference_release</span></a> を実行するとこの性能劣化を避けることができます。 <code class="docutils literal notranslate"><span class="pre">reference_acquire</span></code> と <a class="reference internal" href="reference_release.html"><span class="doc">reference_release</span></a> の間は自動クローズが無効になります。</p>
<p>性能に影響がある操作を実行したら <a class="reference internal" href="reference_release.html"><span class="doc">reference_release</span></a> を実行しなければいけません。 <a class="reference internal" href="reference_release.html"><span class="doc">reference_release</span></a> を実行しないとリファレンスカウントモードが動きません。</p>
<p><a class="reference internal" href="reference_release.html"><span class="doc">reference_release</span></a> を呼ぶ代わりに <a class="reference internal" href="#reference-acquire-auto-release-count"><span class="std std-ref">auto_release_count</span></a> を使うこともできます。 <a class="reference internal" href="#reference-acquire-auto-release-count"><span class="std std-ref">auto_release_count</span></a> を使うと増やした参照を自動で減らせます。しかし、適切な <a class="reference internal" href="#reference-acquire-auto-release-count"><span class="std std-ref">auto_release_count</span></a> を見つける必要があります。もし、大きすぎる数値を指定すると、自動クローズがなかなか動きません。もし、小さすぎる数値を指定すると、性能に影響がある操作が終わる前に自動クローズが動いてしまいます。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.49.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドには2つの引数があります。</p>
<p>すべての引数は省略可能です:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_acquire [target_name=null]
                  [recursive=yes]
                  [auto_release_count=0]
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.49.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>引数無しで実行するとすべてのテーブル・カラムの参照を1つ増やすことができます。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_acquire
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>なにを参照するべきかわかっているなら対象を狭めることができます。</p>
<p>使い方を示すために使うスキーマ定義は以下の通りです。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create Users TABLE_HASH_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Users age COLUMN_SCALAR UInt8
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Users introduction COLUMN_SCALAR ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
table_create Ages TABLE_PAT_KEY UInt8
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Ages user_age COLUMN_INDEX Users age
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">Users</span></code> テーブルに対して条件なしの複数の <a class="reference internal" href="select.html"><span class="doc">select</span></a> を実行するときは、次のコマンドで <code class="docutils literal notranslate"><span class="pre">Users</span></code> と <code class="docutils literal notranslate"><span class="pre">Users.age</span></code> と <code class="docutils literal notranslate"><span class="pre">Users.introduction</span></code> の参照を1つ増やします。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_acquire --target_name Users
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">Users</span></code> テーブルに対してインデックスを使う条件で複数の <a class="reference internal" href="select.html"><span class="doc">select</span></a> を実行するときは、次のコマンドで <code class="docutils literal notranslate"><span class="pre">Users</span></code> と <code class="docutils literal notranslate"><span class="pre">Users.age</span></code> と <code class="docutils literal notranslate"><span class="pre">Users.introduction</span></code> と <code class="docutils literal notranslate"><span class="pre">Ages</span></code> （語彙表）と <code class="docutils literal notranslate"><span class="pre">Ages.user_age</span></code> （インデックスカラム）の参照を1つ増やせます。このコマンドは <a class="reference internal" href="load.html"><span class="doc">load</span></a> を実行するときでも適切です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_acquire --target_name Users --recursive dependent
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>単に <code class="docutils literal notranslate"><span class="pre">Users</span></code> の参照を1つ増やしたいだけなら、テーブルと <code class="docutils literal notranslate"><span class="pre">recursive=no</span></code> を指定します。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_acquire --target_name Users --recursive no
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>単に <code class="docutils literal notranslate"><span class="pre">Users.introduction</span></code> の参照を1つ増やしたいだけなら、カラムを指定します。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_acquire --target_name Users.introduction
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>同じ引数で <a class="reference internal" href="reference_release.html"><span class="doc">reference_release</span></a> を実行すると増やした参照を1つ減らせます。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_acquire --target_name Users --recursive dependent
# [[0, 1337566253.89858, 0.000355720520019531], true]
# select Users ...
# load --table Users ...
reference_release --target_name Users --recursive dependent
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.49.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このセクションではすべての引数について説明します。</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.49.4.1. </span>必須引数<a class="headerlink" href="#required-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>必須の引数はありません。</p>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.3.49.4.2. </span>省略可能引数<a class="headerlink" href="#optional-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>いくつか省略可能な引数があります。</p>
<div class="section" id="target-name">
<span id="reference-acquire-target-name"></span><h4><span class="section-number">7.3.49.4.2.1. </span><code class="docutils literal notranslate"><span class="pre">target_name</span></code><a class="headerlink" href="#target-name" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>対象オブジェクトの名前を指定します。対象オブジェクトはデータベース、テーブル、カラムのどれかです。</p>
<p>このパラメーターを省略すると、データベースが対象オブジェクトになります。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_acquire
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>テーブル名を指定すると、そのテーブルが対象オブジェクトになります。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_acquire --target_name Users
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>カラム名を指定すると、そのカラムが対象オブジェクトになります。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_acquire --target_name Users.age
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
</div>
<div class="section" id="recursive">
<span id="reference-acquire-recursive"></span><h4><span class="section-number">7.3.49.4.2.2. </span><code class="docutils literal notranslate"><span class="pre">recursive</span></code><a class="headerlink" href="#recursive" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>書き出し対象オブジェクトの子オブジェクトも対象にするかどうかを指定します。</p>
<p>データベースの子オブジェクトはすべてのテーブルとすべてのカラムです。</p>
<p>テーブルの子オブジェクトはそのテーブルのすべてのカラムです。</p>
<p>カラムの子オブジェクトはありません。</p>
<p><code class="docutils literal notranslate"><span class="pre">recursive</span></code> の値は <code class="docutils literal notranslate"><span class="pre">yes</span></code> または <code class="docutils literal notranslate"><span class="pre">no</span></code> もしくは <code class="docutils literal notranslate"><span class="pre">dependent</span></code> でなければいけません。 <code class="docutils literal notranslate"><span class="pre">yes</span></code> は指定した対象オブジェクトとその子オブジェクトすべてを対象オブジェクトにするという意味です。 <code class="docutils literal notranslate"><span class="pre">no</span></code> は指定した対象オブジェクトのみを対象オブジェクトにするという意味です。<code class="docutils literal notranslate"><span class="pre">dependent</span></code> は指定した対象オブジェクトとその子オブジェクトすべて、参照先のテーブル、インデックスが張られているカラムがある場合、対応するインデックスカラムとそのインデックスカラムのテーブルを対象オブジェクトにするという意味です。</p>
<p>次の <code class="docutils literal notranslate"><span class="pre">reference_acquire</span></code> はデータベースとすべてのテーブルとすべてのカラムの参照を1つ増やします。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_acquire --recursive yes
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>次の <code class="docutils literal notranslate"><span class="pre">reference_acquire</span></code> は <code class="docutils literal notranslate"><span class="pre">Users</span></code> テーブルだけの参照を1つ増やします。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_acquire --target_name Users --recursive no
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>他の値（つまり、 <code class="docutils literal notranslate"><span class="pre">yes</span></code> でも <code class="docutils literal notranslate"><span class="pre">no</span></code> でもない値）を指定した場合、または <code class="docutils literal notranslate"><span class="pre">recursive</span></code> パラメーターを指定しない場合は <code class="docutils literal notranslate"><span class="pre">yes</span></code> が使われます。</p>
<p><code class="docutils literal notranslate"><span class="pre">recursive</span></code> 引数の値が不正なので、次のケースでは <code class="docutils literal notranslate"><span class="pre">yes</span></code> が使われます。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_acquire --target_name Users --recursive invalid
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">recursive</span></code> パラメーターが指定されていないので、次のケースでは <code class="docutils literal notranslate"><span class="pre">yes</span></code> が使われます。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_acquire --target_name Users
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">dependent</span></code> は対象オブジェクトとその子オブジェクトの参照を1つ増やすだけではなく、関連するオブジェクトの参照も1つ増やします。関連するオブジェクトは次のとおりです。</p>
<ul class="simple">
<li><p>参照されているテーブル</p></li>
<li><p>参照されているテーブルのデータカラム</p></li>
<li><p>関連するインデックスカラム(対象の <code class="docutils literal notranslate"><span class="pre">TABLE_NAME</span></code> にソースカラムがある)</p></li>
<li><p>関連するインデックスカラムのテーブル(対象の <code class="docutils literal notranslate"><span class="pre">TABLE_NAME</span></code> にソースカラムがある)</p></li>
<li><p>関連するインデックスカラムのテーブルのデータカラム</p></li>
</ul>
<p>これは <a class="reference internal" href="load.html"><span class="doc">load</span></a> と <a class="reference internal" href="select.html"><span class="doc">select</span></a> 用に参照を維持するために便利です。</p>
<p><code class="docutils literal notranslate"><span class="pre">Users</span></code> テーブルに対して複数の <a class="reference internal" href="load.html"><span class="doc">load</span></a> を実行するときは、次のコマンドを使います。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_acquire --target_name Users --recursive dependent
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
</div>
<div class="section" id="auto-release-count">
<span id="reference-acquire-auto-release-count"></span><h4><span class="section-number">7.3.49.4.2.3. </span><code class="docutils literal notranslate"><span class="pre">auto_release_count</span></code><a class="headerlink" href="#auto-release-count" title="このヘッドラインへのパーマリンク">¶</a></h4>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 10.0.9 で追加.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">auto_release_count</span></code> を使うと増やした参照を自動で減らせます。</p>
<p><code class="docutils literal notranslate"><span class="pre">auto_release_count</span></code> が1以上の場合、後続する <code class="docutils literal notranslate"><span class="pre">auto_release_count</span></code> 個のコマンドを実行した後に増やした参照を自動的に減らします。 <code class="docutils literal notranslate"><span class="pre">auto_release_count</span></code> を使った場合は対応する <a class="reference internal" href="reference_release.html"><span class="doc">reference_release</span></a> を呼んではいけません。</p>
<p>以下の例では、増やした <code class="docutils literal notranslate"><span class="pre">Users</span></code> の参照を2つ目の <code class="docutils literal notranslate"><span class="pre">status</span></code> を実行した後に自動的に減らします。</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_acquire --target_name Users --auto_release_count 2
status # Users is still referred.
status # Users&#39; reference is released after this command is processed.
</pre></div>
</div>
<p>増やした参照を自動的に減らすときは、同じ <a class="reference internal" href="#reference-acquire-recursive"><span class="std std-ref">recursive</span></a> を使います。 <a class="reference internal" href="#reference-acquire-recursive"><span class="std std-ref">recursive</span></a> のことを気にする必要はありません。</p>
<p><code class="docutils literal notranslate"><span class="pre">auto_release_count</span></code> は <a class="reference internal" href="table_remove.html"><span class="doc">table_remove</span></a> ・ <a class="reference internal" href="column_remove.html"><span class="doc">column_remove</span></a> ・ <a class="reference internal" href="database_unmap.html"><span class="doc">database_unmap</span></a> と一緒に使っても安全です。これらのうちどれかのコマンドが呼ばれた場合は、登録されている自動で参照を減らす処理は内部的に削除されます。</p>
</div>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.49.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドが成功したときは以下のようにボディは <code class="docutils literal notranslate"><span class="pre">true</span></code> になります:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, true]
</pre></div>
</div>
<p>このコマンドが失敗すると、 <code class="docutils literal notranslate"><span class="pre">HEADER</span></code> にエラーの詳細が含まれます。</p>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code> については <a class="reference internal" href="../command/output_format.html"><span class="doc">出力形式</span></a> を参照してください。</p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.49. <code class="docutils literal notranslate"><span class="pre">reference_acquire</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.49.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.49.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.49.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.3.49.4. 引数</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.49.4.1. 必須引数</a></li>
<li><a class="reference internal" href="#optional-parameters">7.3.49.4.2. 省略可能引数</a><ul>
<li><a class="reference internal" href="#target-name">7.3.49.4.2.1. <code class="docutils literal notranslate"><span class="pre">target_name</span></code></a></li>
<li><a class="reference internal" href="#recursive">7.3.49.4.2.2. <code class="docutils literal notranslate"><span class="pre">recursive</span></code></a></li>
<li><a class="reference internal" href="#auto-release-count">7.3.49.4.2.3. <code class="docutils literal notranslate"><span class="pre">auto_release_count</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.49.5. 戻り値</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="range_filter.html"
                        title="前の章へ"><span class="section-number">7.3.48. </span><code class="docutils literal notranslate"><span class="pre">range_filter</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="reference_release.html"
                        title="次の章へ"><span class="section-number">7.3.50. </span><code class="docutils literal notranslate"><span class="pre">reference_release</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="reference_release.html" title="7.3.50. reference_release"
             >次へ</a> |</li>
        <li class="right" >
          <a href="range_filter.html" title="7.3.48. range_filter"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.49. </span><code class="docutils literal notranslate"><span class="pre">reference_acquire</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>